Package oracle.kv.mgmt.jmx

# Interface ArbNodeMXBean

public interface ArbNodeMXBean
This MBean represents an Arbiter node's operational parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAcks()`
  Returns the number of transactions acked.
  `String`
  `getArbNodeId()`
  Returns the ArbNodeId number of an Arbiter instance.
  `boolean`
  `getCollectEnvStats()`
  If true, then the underlying BDB-JE subsystem will dump statistics into a local .stat file.
  `String`
  `getConfigProperties()`
  Returns Non-default BDB-JE configuration properties.
  `int`
  `getHeapMB()`
  Returns the size of the Java heap for this Replication Node, in MB.
  `String`
  `getJavaMiscParams()`
  Returns a string that is added to the command line when the Replication Node process is started.
  `String`
  `getLoggingConfigProps()`
  Returns property settings for the Logging subsystem.
  `String`
  `getMaster()`
  Returns the current master.
  `long`
  `getReplayQueueOverflow()`
  `String`
  `getServiceStatus()`
  Returns the reported service status of the Arbiter
  `String`
  `getState()`
  Returns the current node State.
  `int`
  `getStatsInterval()`
  Returns the collection period for performance statistics, in sec.
  `long`
  `getVLSN()`

- ## Method Details

  - ### getArbNodeId

    String getArbNodeId()
    Returns the ArbNodeId number of an Arbiter instance.

  - ### getServiceStatus

    String getServiceStatus()
    Returns the reported service status of the Arbiter

  - ### getConfigProperties

    String getConfigProperties()
    Returns Non-default BDB-JE configuration properties.

  - ### getJavaMiscParams

    String getJavaMiscParams()
    Returns a string that is added to the command line when the Replication Node process is started.

  - ### getLoggingConfigProps

    String getLoggingConfigProps()
    Returns property settings for the Logging subsystem.

  - ### getCollectEnvStats

    boolean getCollectEnvStats()
    If true, then the underlying BDB-JE subsystem will dump statistics into a local .stat file.

  - ### getStatsInterval

    int getStatsInterval()
    Returns the collection period for performance statistics, in sec.

  - ### getHeapMB

    int getHeapMB()
    Returns the size of the Java heap for this Replication Node, in MB.

  - ### getAcks

    long getAcks()
    Returns the number of transactions acked.

  - ### getMaster

    String getMaster()
    Returns the current master.

  - ### getState

    String getState()
    Returns the current node State.

  - ### getVLSN

    long getVLSN()

  - ### getReplayQueueOverflow

    long getReplayQueueOverflow()